<DOCTYPE html>

<head>
<meta http-equiv = "content-type" charset = utf-8" > 

<meta name = "description" content = "calender" >

<meta name = "keywords" content = "calender">

<title>php1</title>

<link rel="stylesheet" type="text/css" href="style.css">
</head>
<?php

	include_once ('tables_out.php');
	session_start();
	$tablo=new tables();
	//var_dump($_POST);
	if(isset($_POST['change']))
  {
    session_start();
    $_SESSION['id']=($_POST['change']);
    header('Location:edit.php');
  }

?>
<html style="height:100%;">

<body style="background-color: #AAAAAA; min-height:100%;">

<form action="<?php $_PHP_SELF ?>" method="post">
<div style="background-color:#FFFFFF; margin-left:10%; margin-right:10%; padding:3%; height:100%;">    

<select name="type_of_tasks" value="<?php if (isset($_POST['type_of_tasks'])) { echo $_POST['type_of_tasks']; } ?>">
<option value="floating">Текущие задачи</option>
<option value="NotMade">Просроченные задачи</option>
<option value="Made">Выполненные задачи</option>
</select>
                      
<select name="time_of_tasks" value="<?php if (isset($_POST['time_if_tasks'])) { echo $_POST['time_of_tasks']; } else echo('Today'); ?>" onchange="changes(this)">
<option value="AllTime">Всё время</option>
<option value="LastMonth">Прошлый месяц</option>
<option value="LastWeek">Прошлая неделя</option>
<option value="Yesterday">Вчера</option>
<option value="Today" default>Сегодня</option>
<option value="Tomorrow">Завтра</option>
<option value="NextWeek">Следующая неделя</option>
<option value="NextMonth">Следующий месяц</option>
<option value="OnDate">По дате</option>
</select>

<label for="date_of_tasks"> дата</label>
<input type="date" name ="date_of_tasks" id="date_of_tasks" disabled></td>

                                                           <button onclick="location.reload()">поиск</button>
<include type="radio" name="change" value="-1">

<table border=1>
<th>Список заданий</th>
<tr>
<td>id</td><td>Тема</td><td>Тип</td><td>Место</td><td>Дата и время начала</td><td>Дата и время конца</td><td>Комментарии</td><td>Статус</td><td>Изменить</td>
</tr>
<?php
$tablo->create_table($_POST);
?>

</table>
<a href="task.php">Добавить задание</a>
<button onclick="update()" style="margin-left:20%">Редактировать</button>
</div>
</form>

</body>
<script>
function changes(obj)
{
target=document.getElementsByName('date_of_tasks')[0];
if(obj.value=='OnDate')
target.disabled=false;
else
target.disabled=true;
}
function update()
{
int i=0;
upla=document.getElementsByName("change")
for(i=0;i<upla.lenght;i++)
if(upla[i].checked)
location.reload()
}
</script>
</html>